Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.client
Class XSLTProcessorApplet

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Panel
                        |
                        +--java.applet.Applet
                              |
                              +--weblogic.apache.xalan.client.XSLTProcessorApplet

public class XSLTProcessorApplet
extends java.applet.Applet

Provides applet host for the XSLT processor. To perform transformations on an HTML client:

1. Use an <applet> tag to embed this applet in the HTML client.
2. Use the DocumentURL and StyleURL PARAM tags or the `setDocumentURL(java.lang.String)` and `setStyleURL(java.lang.String)` methods to specify the XML source document and XSL stylesheet.
3. Call the `getHtmlText()` method (or one of the transformToHtml() methods) to perform the transformation and return the result as a String.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Inner classes inherited from class java.applet.Applet
`java.applet.Applet.AccessibleApplet`

Inner classes inherited from class java.awt.Panel
`java.awt.Panel.AccessibleAWTPanel`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`XSLTProcessorApplet()` The XSLTProcessorApplet constructor takes no arguments.

Method Summary
`void` | `destroy()` Cleanup; called when applet is terminated and unloaded.
`java.lang.String` | `escapeString(java.lang.String s)` Given a String containing markup, escape the markup so it can be displayed in the browser.
`void` | `freeCache()` The processor keeps a cache of the source and style trees, so call this method if they have changed or you want to do garbage collection.
`java.lang.String` | `getAppletInfo()` Get basic information about the applet
`java.lang.String` | `getHtmlText()` Assuming the stylesheet URL and the input XML URL have been set, perform the transformation and return the result as a String.
`java.lang.String[][]` | `getParameterInfo()` Get descriptions of the applet parameters.
`java.lang.String` | `getResultTreeAsText()` Get the HTML result Tree as a text string suitable for display in a browser.
`java.lang.String` | `getSourceTreeAsText()` Get the XML source Tree as a text string suitable for display in a browser.
`java.lang.String` | `getStyleTreeAsText()` Get the XSL style Tree as a text string suitable for display in a browser.
`java.lang.String` | `getTreeAsText(java.lang.String treeURL)` Get an XML document (or stylesheet)
`void` | `init()` Standard applet initialization.
`void` | `paint(java.awt.Graphics g)` Do not call; this applet contains no UI or visual components.
`void` | `setDocumentURL(java.lang.String urlString)` Set the URL to the XML document that will be transformed with the XSL stylesheet.
`void` | `setStyleSheetAttribute(java.lang.String nameOfIDAttrOfElemToModify, java.lang.String elemId, java.lang.String attrName, java.lang.String value)` Set an attribute in the stylesheet, which gives the ability to have some dynamic selection control.
`void` | `setStylesheetParam(java.lang.String key, java.lang.String expr)` Submit a stylesheet parameter.
`void` | `setStyleURL(java.lang.String urlString)` Set the URL to the XSL stylesheet that will be used to transform the input XML.
`void` | `start()` Automatically called when the HTML client containing the applet loads.
`void` | `stop()` Automatically called when the HTML page containing the applet is no longer on the screen.
`java.lang.String` | `transformToHtml(java.lang.String doc)` Process a document and a stylesheet and return the transformation result.
`java.lang.String` | `transformToHtml(java.lang.String doc, java.lang.String style)` Process a document and a stylesheet and return the transformation result.

Methods inherited from class java.applet.Applet
`getAccessibleContext, getAppletContext, getAudioClip, getAudioClip, getCodeBase, getDocumentBase, getImage, getImage, getLocale, getParameter, isActive, newAudioClip, play, play, resize, resize, setStub, showStatus`

Methods inherited from class java.awt.Panel
`addNotify`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setFont, setLayout, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getInputContext, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSLTProcessorApplet

    public XSLTProcessorApplet()

  The XSLTProcessorApplet constructor takes no arguments.

Method Detail

### getAppletInfo

    public java.lang.String getAppletInfo()

  Get basic information about the applet

  Returns:
    A String with the applet name and author.
  Overrides:
    getAppletInfo in class java.applet.Applet

### getParameterInfo

    public java.lang.String[][] getParameterInfo()

  Get descriptions of the applet parameters.

  Returns:
    A two-dimensional array of Strings with Name, Type, and Description for each parameter.
  Overrides:
    getParameterInfo in class java.applet.Applet

### init

    public void init()

  Standard applet initialization.

  Overrides:
    init in class java.applet.Applet

### start

    public void start()

  Automatically called when the HTML client containing the applet loads. This method starts execution of the applet thread.

  Overrides:
    start in class java.applet.Applet

### paint

    public void paint(java.awt.Graphics g)

  Do not call; this applet contains no UI or visual components.

  Overrides:
    paint in class java.awt.Container

### stop

    public void stop()

  Automatically called when the HTML page containing the applet is no longer on the screen. Stops execution of the applet thread.

  Overrides:
    stop in class java.applet.Applet

### destroy

    public void destroy()

  Cleanup; called when applet is terminated and unloaded.

  Overrides:
    destroy in class java.applet.Applet

### setStyleURL

    public void setStyleURL(java.lang.String urlString)

  Set the URL to the XSL stylesheet that will be used to transform the input XML. No processing is done yet.

  Parameters:
    `urlString` - valid URL string for XSL stylesheet.

### setDocumentURL

    public void setDocumentURL(java.lang.String urlString)

  Set the URL to the XML document that will be transformed with the XSL stylesheet. No processing is done yet.

  Parameters:
    `urlString` - valid URL string for XML document.

### freeCache

    public void freeCache()

  The processor keeps a cache of the source and style trees, so call this method if they have changed or you want to do garbage collection.

### setStyleSheetAttribute

    public void setStyleSheetAttribute(java.lang.String nameOfIDAttrOfElemToModify,
                                       java.lang.String elemId,
                                       java.lang.String attrName,
                                       java.lang.String value)

  Set an attribute in the stylesheet, which gives the ability to have some dynamic selection control.

  Parameters:
    `nameOfIDAttrOfElemToModify` - The name of an attribute to search for a unique id.
    `elemId` - The unique ID to look for.
    `attrName` - Once the element is found, the name of the attribute to set.
    `value` - The value to set the attribute to.

### setStylesheetParam

    public void setStylesheetParam(java.lang.String key,
                                   java.lang.String expr)

  Submit a stylesheet parameter.

  Parameters:
    `key` - stylesheet parameter key
    `expr` - the parameter expression to be submitted.
  See Also:
    `Transformer.setParameter(String,Object)`

### escapeString

    public java.lang.String escapeString(java.lang.String s)

  Given a String containing markup, escape the markup so it can be displayed in the browser.

  Parameters:
    `s` - String to escape The escaped string.

### getHtmlText

    public java.lang.String getHtmlText()

  Assuming the stylesheet URL and the input XML URL have been set, perform the transformation and return the result as a String.

  Returns:
    A string that contains the contents pointed to by the URL.

### getTreeAsText

    public java.lang.String getTreeAsText(java.lang.String treeURL)
                                   throws java.io.IOException

  Get an XML document (or stylesheet)

  Parameters:
    `treeURL` - valid URL string for the document.
  Returns:
    document
  Throws:
    java.io.IOException -

### getSourceTreeAsText

    public java.lang.String getSourceTreeAsText()
                                         throws java.lang.Exception

  Get the XML source Tree as a text string suitable for display in a browser. Note that this is for display of the XML itself, not for rendering of HTML by the browser.

  Returns:
    XML source document as a string.
  Throws:
    java.lang.Exception - thrown if tree can not be converted.

### getStyleTreeAsText

    public java.lang.String getStyleTreeAsText()
                                        throws java.lang.Exception

  Get the XSL style Tree as a text string suitable for display in a browser. Note that this is for display of the XML itself, not for rendering of HTML by the browser.

  Returns:
    The XSL stylesheet as a string.
  Throws:
    java.lang.Exception - thrown if tree can not be converted.

### getResultTreeAsText

    public java.lang.String getResultTreeAsText()
                                         throws java.lang.Exception

  Get the HTML result Tree as a text string suitable for display in a browser. Note that this is for display of the XML itself, not for rendering of HTML by the browser.

  Returns:
    Transformation result as unmarked text.
  Throws:
    java.lang.Exception - thrown if tree can not be converted.

### transformToHtml

    public java.lang.String transformToHtml(java.lang.String doc,
                                            java.lang.String style)

  Process a document and a stylesheet and return the transformation result. If one of these is null, the existing value (of a previous transformation) is not affected.

  Parameters:
    `doc` - URL string to XML document
    `style` - URL string to XSL stylesheet
  Returns:
    HTML transformation result

### transformToHtml

    public java.lang.String transformToHtml(java.lang.String doc)

  Process a document and a stylesheet and return the transformation result. Use the xsl:stylesheet PI to find the document, if one exists.

  Parameters:
    `doc` - URL string to XML document containing an xsl:stylesheet PI.
  Returns:
    HTML transformation result

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference